﻿using COA.EnterpriseServices.DataAccess.Entities;
using Microsoft.EntityFrameworkCore;

namespace COA.EnterpriseServices.DataAccess.EntityFramework
{
    public class QuickBaseContext : DbContext
    {
        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            optionsBuilder.UseSqlServer("Server=(localdb)\\mssqllocaldb;Database=QuickBase;Trusted_Connection=True;MultipleActiveResultSets=true");

            base.OnConfiguring(optionsBuilder);
        }

        public DbSet<Creditor> Creditors { get; set; }
        public DbSet<SettlementAttempt> SettlementAttempts { get; set; }
        public DbSet<Client> Clients { get; set; }
    }
}
